%define dist	MDV-Packdrakeng
%define version	1.13
%define release	%mkrel 2

Summary:	Simple Archive Extractor/Builder
Name:		perl-%{dist}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	%{dist}-%{version}.tar.gz
Url:		http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/rpm/MDV-Packdrakeng/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch
BuildRequires:	perl-Compress-Zlib
# perl-Compress-Zlib is only "suggested"
%define _requires_exceptions perl(Compress::Zlib)

%description
MDV::Packdrakeng is a simple indexed archive builder and extractor using
standard compression methods.

%prep
%setup -q -n %{dist}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_mandir}/*/*
%{perl_vendorlib}/MDV/Packdrakeng
%{perl_vendorlib}/MDV/Packdrakeng.pm



%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.13-2mdv2008.1
+ Revision: 180420
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 09 2007 Olivier Thauvin <nanardon@mandriva.org> 1.13-1mdv2008.0
+ Revision: 60786
- 1.13

* Mon Jun 18 2007 Pixel <pixel@mandriva.com> 1.12-1mdv2008.0
+ Revision: 40802
- new release, 1.12
- raise an exception when we can't write the generated .cz file
  (in case of "No space left on device")
- allow explicit call to $pack->DESTROY
  (to allow catching the exception above)

* Tue Jun 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdv2008.0
+ Revision: 35317
- 1.11

* Thu May 17 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-1mdv2008.0
+ Revision: 27618
- 1.10

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-3mdv2008.0
+ Revision: 23364
- rebuild


* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-2mdk
- Rebuild; use mkrel (misc)

* Fri Nov 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01

* Fri Oct 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-1mdk
- Initial MDV release

